# Retrieve a workflow run Retrieves information about a specific workflow run by its ID. ### User Access Permission You must be assigned the Workflow View Access permission to run this operation. Endpoint: GET /workflows/workflow_runs/{workflow_run_id} Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). ## Path parameters: - `workflow_run_id` (string, required) The unique ID of a workflow run. For example, 19080. ## Response 200 fields (application/json): - `cpuTime` (string) The overall CPU time for the execution of the workflow. - `createdAt` (string) The date and time when the workflow is created, in the YYYY-MM-DD HH:MM:SS format.. - `finishedAt` (string) The date and time when the execution of the workflow completes, in the YYYY-MM-DD HH:MM:SS format. - `id` (integer) The unique ID of the workflow. - `messages` (object) Messages from tasks. Note: This field is only returned in Production. - `name` (string) The unique run number of the workflow. - `originalWorkflowId` (string) The ID of the workflow setup. - `runTime` (number) The execution time of the workflow including the waiting time, in seconds. - `status` (string) The status of the workflow: - Queued: The workflow is in queue for being processed. - Processing: The workflow is in process. - Stopping: The workflow is being stopped through Zuora UI. - Stopped: The workflow is stopped through Zuora UI. - Finished: The workflow is finished. When a workflow is finished, it might have tasks pending for retry or delay. Pending tasks do not block the onfinish branch of the workflow, but they block the oncomplete branch of the iterate. Enum: "Queued", "Processing", "Stopping", "Stopped", "Finished" - `tasks` (object) An object containing task counts. - `tasks.error` (integer) The number of tasks in Error state. - `tasks.pending` (integer) The number of tasks in Pending state. - `tasks.processing` (integer) The number of tasks in Processing state. - `tasks.queued` (integer) The number of tasks in Queued state. - `tasks.stopped` (integer) The number of tasks in Stopped state. - `tasks.success` (integer) The number of tasks in Success state. - `tasks.total` (integer) The total number of tasks. - `type` (string) The type of the current workflow. Possible values: - Workflow::Setup: The workflow is a setup and is used for creating workflow instances. - Workflow::Instance: The workflow is an execution that has data. - `updatedAt` (string) The date and time when the workflow is updated the last time, in the YYYY-MM-DD HH:MM:SS format.